package com.ccnode.codegenerator.dom.model;

package .tmp;

import com.ccnode.codegenerator.dom.a.b;
import com.ccnode.codegenerator.dom.model.Case;
import com.intellij.psi.PsiClass;
import com.intellij.util.xml.Attribute;
import com.intellij.util.xml.Convert;
import com.intellij.util.xml.DomElement;
import com.intellij.util.xml.GenericAttributeValue;
import com.intellij.util.xml.Required;
import com.intellij.util.xml.SubTagList;
import java.util.List;
import org.jetbrains.annotations.NotNull;

public interface Discriminator extends DomElement {
  @Required
  @SubTagList("case")
  List<Case> getCases();
  
  @Attribute("javaType")
  @Convert(b.class)
  @NotNull
  GenericAttributeValue<PsiClass> getJavaType();
}
